Поддержка Проблемы и решения Обновление до последней версии без моего разрешения

  • У меня сайт на wordpress 3.8.1, вверху постоянно отображается уведомление-призыв, обновить версию до 3.8.2. Но так как я использую плагин qtranslate 2.5.39 — несовместимый с последней версией, то вынужден использовать версию вордпресса 3.8.1. Но несколько раз я успел заметить обновление до последней версии без моего действия в этом направлении. Сей процесс происходит (хоть и не всегда), либо когда устанавливаю и активирую тему, либо после установки какого-либо плагина. Скажите почему так происходит? И когда выйдет версия плагина qtranslate совместимая с версией вордпресса 3.8.2?

Просмотр 7 ответов — с 1 по 7 (всего 7)
  • Начиная с версии 3.7 ядро WordPress обновляется автоматически до следующего технического релиза, например с 3.7 до 3.7.1 и 3.7.2, с 3.8 до 3.8.1 и 3.8.2. Это сделано ради безопасности вашего сайта, а если есть плагин, который конфликтует с подобными изменениями, лучше избавиться от этого плагина или попросить автора его обновить.

    Подробнее:

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    Но так как я использую плагин qtranslate 2.5.39 — несовместимый с последней версией, то вынужден использовать версию вордпресса 3.8.1.

    Плагин перестраховывается, в 3.8.2 не было изменений, влияющих на его работу.

    Скажите почему так происходит?

    Автоматически устанавливаются только технические обновления, в которых исправляются ошибки и уязвимости (например, 3.8.1 и 3.8.2).

    С 3.8.x до 3.9 сайт сам не обновится.

    Автоматические обновления появились в версии 3.7.

    Плагин перестраховывается, в 3.8.2 не было изменений, влияющих на его работу.

    И как же отключить эту перестраховку?

    а если есть плагин, который конфликтует с подобными изменениями, лучше избавиться от этого плагина или попросить автора его обновить.

    Плагин qtranslate — обновляется и считается самым лучшим для реализации мультиязычности сайта. Если можете подсказать достойную альтернативу — Я буду рад.

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    И как же отключить эту перестраховку?

    Нажать на ссылку в строке «You can reenable it by clicking here» над редактором: http://cl.ly/image/233I0l0g201a

    Нажать на ссылку в строке «You can reenable it by clicking here» над редактором: http://cl.ly/image/233I0l0g201a

    Нажимаю — clicking here, ни чего не происходит, то есть ни чего не подгружается не обновляется и так далее. Может быть связано с настройками браузера? На сколько я понял ссылка яваскриптовская.
    Хотя ссылка не работает на главной страницы админки, если зайти например на страницу и нажать на clicking here, то первое уведомление пропадает, но если нажать на второе уведомление, то добавляется еще два заголовка (русс, англ). Но при обновлении страницы все возвращается назад.

    И еще вопрос по поводу мультиязычности на Вордпрессе (в котором я новичок). На сколько я понял, плагины влияют на отображение мультиязычности стандартного контента (записи, рубрики, страницы), но не влияют на перевод материалов сторонних шаблонов, например — Tripod — Professional WordPress Photography Theme

    Нажимаю — clicking here, ни чего не происходит, то есть ни чего не подгружается не обновляется и так далее

    Тогда исправить поддерживаемую версию ВП в в 90й строке в qtranslate/qtranslate.php

    И еще вопрос

    Правила форума, п2.

Просмотр 7 ответов — с 1 по 7 (всего 7)
  • Тема «Обновление до последней версии без моего разрешения» закрыта для новых ответов.